
QGIS Application - Bug report #7179

Singleparts to multipart - Ftools

2013-02-19 12:05 AM - Florian Boret

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16230

Description

Hello,

I 'have a problem with tool "Singleparts to multipart" :

Une erreur est apparue lors de l'exécution du code python :

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doGeometry.py", line 325, in run

    success = self.single_to_multi()

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doGeometry.py", line 399, in single_to_multi

    outFeat.setAttributeMap( atts )

UnboundLocalError: local variable 'atts' referenced before assignment

Version de Python :

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Version de QGIS :

1.8.0-Lisboa Lisboa, f440b60

Chemin vers Python : ['C:/Users/rog3/.qgis//python/plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis/./python',

'C:/Users/rog3/.qgis//python', 'C:/Users/rog3/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis/./python/plugins', 'C:\\\\Program Files

(x86)\\\\ArcGIS\\\\bin', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\Users\\\

og3\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms', 'C:\\\\Users\\\

og3\\\\.qgis\\\\python\\\\plugins\\\\qgis2kml', 'C:\\\\Users\\\

og3\\\\.qgis\\\\python\\\\plugins\\\\qgis2kml', 'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

Associated revisions

Revision a86622b3 - 2013-02-19 10:04 AM - Jürgen Fischer

fix #7179
History

#1 - 2013-02-19 12:09 AM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

- Assignee deleted (cfarmer -)

- Status changed from Open to Feedback

Can you attach sample data? thanks.

#2 - 2013-02-19 01:00 AM - Florian Boret

- Status changed from Feedback to Closed

Sorry. 

This problem happened to me last week and I'm not able to reproduce it since I restarted.

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
